/*
 * Class SPECIAL [NATURAL_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_711 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_711 [] = {0xFF01,237,710,197,0xFFFF};
static const EIF_TYPE_INDEX egt_2_711 [] = {0xFF01,710,197,0xFFFF};
static const EIF_TYPE_INDEX egt_3_711 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_711 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_711 [] = {0xFF01,710,197,0xFFFF};
static const EIF_TYPE_INDEX egt_6_711 [] = {0xFF01,710,197,0xFFFF};
static const EIF_TYPE_INDEX egt_7_711 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_711 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_711 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_711 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_711 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_711 [] = {710,197,0xFFFF};
static const EIF_TYPE_INDEX egt_13_711 [] = {0xFF01,710,197,0xFFFF};
static const EIF_TYPE_INDEX egt_14_711 [] = {0xFF01,711,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_711 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_711 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_711 [] = {0xFF01,715,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_711 [] = {0xFF01,716,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_711 [] = {0xFF01,710,197,0xFFFF};
static const EIF_TYPE_INDEX egt_20_711 [] = {0xFF01,710,197,0xFFFF};
static const EIF_TYPE_INDEX egt_21_711 [] = {0xFF01,710,197,0xFFFF};
static const EIF_TYPE_INDEX egt_22_711 [] = {0xFF01,710,197,0xFFFF};
static const EIF_TYPE_INDEX egt_23_711 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_711 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_25_711 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_711[] = {
	{EIF_GENERIC(NULL), 3982, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_711), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_711), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_711), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_711), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_711), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_711), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_711), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_711), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_711), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_711), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_711), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_711), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_711), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_711), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_711), 3380, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_711), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3983, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3984, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3985, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_711), 3987, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3988, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 3989, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 3990, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_711), 3991, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_711), 3992, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3994, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3995, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3998, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3999, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4001, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4002, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4003, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4004, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4005, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4006, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4007, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4008, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4009, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4010, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4011, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4012, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4013, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4014, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4015, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_711), 4016, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_711), 4017, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_711), 4018, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_711), 4019, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4020, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4021, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4022, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4023, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4024, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4025, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4026, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4027, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4028, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4030, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4031, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_711), 3986, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_711), 3993, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4000, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3996, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3997, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4000, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_711), 4029, 0xFFFFFFFF},
};
void Init711(void)
{
	IDSC(desc_711, 0, 710);
	IDSC(desc_711 + 1, 1, 710);
	IDSC(desc_711 + 32, 99, 710);
	IDSC(desc_711 + 34, 2, 710);
	IDSC(desc_711 + 77, 256, 710);
	IDSC(desc_711 + 80, 240, 710);
	IDSC(desc_711 + 83, 336, 710);
}


#ifdef __cplusplus
}
#endif
